Subject: Re: bug#11424: coreutils: split tests hang on /dev/zero on GNU/Hurd

From: Jim Meyering <[email-masked]>
Date: Thu, 10 May 2012 10:10:38 +0200

Jim Meyering wrote:
> Paul Eggert wrote:
>> On 05/09/2012 11:36 PM, Jim Meyering wrote:
>>> I see you pushed it.
>>> Thanks for adding that line to NEWS:
>>
>> You're welcome.  I shook free some time to adjust the st_size patch,
>> and here's a new version that I think incorporates all the comments
>> so far:
>>
>> From 0c9661af1b29e2999030cb93003d98673faabf83 Mon Sep 17 00:00:00 2001
>> From: Paul Eggert <[email-masked]>
>> Date: Wed, 9 May 2012 23:53:16 -0700
>> Subject: [PATCH] maint: handle file sizes more reliably
> ...
>
> Thanks for sending that.
> Unfortunately, I am unable to apply it because
> something has mangled the patch.

No need to resend.  I figured it out.
Filtering your patch through sed 's/^  / /'
was enough to undo the offending transformation.
Then it applied with "git am FILE".